Description

CSV spreadsheets mapping CSV file columns to XPath expressions for the NYBG and SALVIAS datasources

History

#1-11/17/2011 10:50 AM - Aaron Marcuse-Kubitza

- Description updated

#2 - 11/23/2011 05:37 PM - Aaron Marcuse-Kubitza
- % Done changed from 60 to 70

| made a number of changes to the NYBG and SALVIAS mappings to support VegX's concept of pointers between objects.

#3 - 12/01/2011 10:50 AM - Aaron Marcuse-Kubitza
- % Done changed from 70 to 80

The latest mapping spreadsheets for datasources->VegX and VegX->VegBank are now available in svn at
https://projects.nceas.ucsb.edu/nceas/projects/bien/repository/show/mappings (click a spreadsheet and click Download at the top of the page). The
mappings from NYBG and SALVIAS to VegX are based on Brad's feedback and are now mostly complete.

Since the datasource->VegX and VegX->VegBank mappings are now separate, | created a utility join_maps to combine these into a direct
datasource->VegBank mapping. join_maps is on nimoy at /home/bien_shared/svn/scripts/util/join_maps .

#4 - 12/01/2011 04:29 PM - Aaron Marcuse-Kubitza

Conference call:

e Ignore SALVIAS voucher_string because it is sometimes missing collector's name

e Ignore SALVIAS TaxonScrubber *_status fields, but consider how they might fit into
/*s/taxonDetermination/*s/taxonRelationshipAssertion/assertion/{fit,confidence} fields

¢ identify issues in existing mappings, note them in comments column, and e-mail to group for feedback

#5 - 12/06/2011 04:28 PM - Aaron Marcuse-Kubitza
- % Done changed from 80 to 90

Working NYBG-VegBank mappings are now available in svn at https://projects.nceas.ucsb.edu/nceas/projects/bien/repository/show/mappings

#6 - 12/08/2011 05:38 PM - Aaron Marcuse-Kubitza

To make it easier to review the mappings, | created human-readable versions in Subversion. They can be automatically generated from the
machine-readable versions used by the mapping system, by running /home/bien_shared/svn/mappings/format_all_for_review on nimoy.

#7 - 12/15/2011 01:55 PM - Aaron Marcuse-Kubitza
- Status changed from New to Resolved

- % Done changed from 90 to 100

initial data sources NYBG and SALVIAS have been fully mapped
